#ifndef SHARED_MEMORY_H
#define SHARED_MEMORY_H

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>

//ID-Speicherbereich
#define int speicher-id
//Größe des Speicherbereichs hier 8MB (64bit)
#define SHMMAXSIZE 64


//Shared-Memory-Segment erstellen oder öffnen – shmget()
void shared-memory-init();

//Ein Shared-Memory-Segment abfragen, ändern oder löschen – shmctl()
void delet-shared-memory();

//Shared-Memory-Segment an einen Prozess anbinden (attach) – shmat()
void attach-process(char *myProcess);

//Ein Shared-Memory-Segment loslösen – shmdt()
void release-memory();

#endif //SHARED_MEMORY_H
